System Requirements for SAP Integrations

Before integrating SAP CPQ with another SAP application, please make sure that you meet all the necessary system requirements and own the required components. The provided information is valid for the current release of SAP CPQ.

Application System Requirements Other Required Components
SAP ERP for simple products (without variant configuration) SAP ERP 6.0 EHP 0 or higher SAP Cloud Platform Integration
ERP C4 Integration Add-On CODERINT
SAP S/4HANA (on premise) SAP S/4HANA version 1809 or higher SAP Cloud Platform Integration
In case configurable products are in use: SAP Variant Configuration and Pricing
SAP ERP for variant configuration products SAP ERP 6.0 EHP 5 or higher (Unicode System). For detailed system requirements, please refer to SAP Note 2711932 - System Requirements for SAP Variant Configuration and Pricing. SAP Cloud Platform Integration
It is necessary to own an SAP back end solution with an appropriate database license that allows direct database access for data replication (3rd party DB, SAP Hana Platform). For further details and more information about interoperability and maintenance rules for Data Provisioning (DP) Agent, see SAP Note 2546811 - SAP Variant Configuration and Pricing - Interoperability and Maintenance Rules for Data Provisioning (DP) Agent. ERP C4 Integration Add-On CODERINT
Supported SAP ERP back-end databases per listed data provisioning adapters (DP Adapter) are listed in in SAP Note 2546811 - SAP Variant Configuration and Pricing - Interoperability and Maintenance Rules for Data Provisioning (DP) Agent: ASE, HANA, MSSQL, Oracle. SAP Variant Configuration and Pricing (comes with SAP CPQ, edition for variant configuration)
Cluster and pool table access in SAP ERP is only supported on UTF-16 Unicode databases. See SAP Note 2511048 - HANA SDI ECC Adapter: Cluster and Pool Table access is only supported on Unicode databases.
SAP Cloud for Customer SAP Cloud for Customer 1905 and higher SAP Cloud Platform Integration
SAML 2.0 Single Sign On needs to be established so that users are authenticated in SAP CPQ when navigating from SAP Cloud for Customer. SAP ERP or SAP S/4HANA as a source system of product master and customer master (out of the box, SAP CPQ and SAP Cloud for Customer do not share the same product (material) master)
SAP Commerce SAP Commerce (on premise) 1811 and higher SAP Cloud Platform Integration
SAP Commerce Cloud 1811 and higher In case configurable products are in use in SAP ERP or S/4HANA: SAP Variant Configuration and Pricing. Works with SAP Commerce Cloud only. SAP Commerce on premise only supports simple products.
You are here: SAP CPQ Online HelpAdmin Page HelpSystem Requirements for SAP Integrations